[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

cdebconf-entropy not buildable



Trying to rebuild that package, I run into the following problem.

First, as explained in HACKING, I did:

  autoreconf -i -v


Then I tried to build with pbuilder in a sid chroot:

[sudo] password for bubulle:                                                     
  -> using cowbuilder as pbuilder                                                
dpkg-checkbuilddeps: Unmet build dependencies: libnewt-dev libtextwrap-dev libdebconfclient0-dev (>= 0.130) libgtk-directfb-2.0-dev
W: Unmet build-dependency in source                                                                                                
dpkg-buildpackage: set CFLAGS to default value: -g -O2                                                                             
dpkg-buildpackage: set CPPFLAGS to default value:                                                                                  
dpkg-buildpackage: set LDFLAGS to default value:                                                                                   
dpkg-buildpackage: set FFLAGS to default value: -g -O2                                                                             
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2                                                                           
dpkg-buildpackage: source package cdebconf-entropy                                                                                 
dpkg-buildpackage: source version 0.12                                                                                             
dpkg-buildpackage: source changed by Christian Perrier <bubulle@debian.org>                                                        
dpkg-checkbuilddeps: Unmet build dependencies: libnewt-dev libtextwrap-dev libdebconfclient0-dev (>= 0.130) libgtk-directfb-2.0-dev
dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.                                                    
dpkg-buildpackage: warning: (Use -d flag to override.)                                                                             
dpkg-buildpackage: warning: This is currently a non-fatal warning with -S, but                                                     
dpkg-buildpackage: warning: will probably become fatal in the future.                                                              
 fakeroot debian/rules clean                                                                                                       
dh_testdir                                                                                                                         
dh_testroot                                                                                                                        
rm -f build-stamp                                                                                                                  
[ ! -f Makefile ] || /usr/bin/make distclean                                                                                       
cp -f /usr/share/misc/config.sub config.sub                                                                                        
cp -f /usr/share/misc/config.guess config.guess                                                                                    
dh_clean                                                                                                                           
 dpkg-source -i(?:^|/).*~$|(?:^|/)\..*\.swp|DEADJOE|(?:/CVS|/RCS|.*/\.svn|/\.deps|/\{arch\}|/\.arch-ids)(?:$|/) -ICVS -I.svn -b cdebconf-entropy                                                                                                                                            
dpkg-source: warning: source directory 'cdebconf-entropy' is not <sourcepackage>-<upstreamversion> 'cdebconf-entropy-0.12'                    
dpkg-source: info: using source format `1.0'                                                                                                  
dpkg-source: info: building cdebconf-entropy in cdebconf-entropy_0.12.tar.gz                                                                  
dpkg-source: info: building cdebconf-entropy in cdebconf-entropy_0.12.dsc                                                                     
 dpkg-genchanges -S >../cdebconf-entropy_0.12_source.changes                                                                                  
dpkg-genchanges: including full source code in upload                                                                                         
dpkg-buildpackage: source only upload: Debian-native package                                                                                  
 -> Running in no-targz mode                                                                                                                  
I: using fakeroot in build.                                                                                                                   
Current time: Sun Jun 14 15:40:50 CEST 2009                                                                                                   
pbuilder-time-stamp: 1244986850                                                                                                               
 -> copying local configuration                                                                                                               
 -> mounting /proc filesystem                                                                                                                 
 -> mounting /dev/pts filesystem                                                                                                              
-> Mounting /home/bubulle/src/debian/pbuild-result                                                                                            
-> Mounting /var/cache/pbuilder/ccache                                                                                                        
 -> policy-rc.d already exists                                                                                                                
Obtaining the cached apt archive contents                                                                                                     
Installing the build-deps                                                                                                                     
W: execute priv not set on file D10-extra-packages, not executing.                                                                            
I: adding /home/bubulle/src/debian/pbuild-result in sources.list                                                                              
I: running apt-get update                                                                                                                     
 -> user script /var/cache/pbuilder/build/cow.29289/tmp/hooks/D10_use_result finished                                                         
 -> Attempting to satisfy build-dependencies                                                                                                  
 -> Creating pbuilder-satisfydepends-dummy package                                                                                            
Package: pbuilder-satisfydepends-dummy                                                                                                        
Version: 0.invalid.0                                                                                                                          
Architecture: i386                                                                                                                            
Maintainer: Debian Pbuilder Team <pbuilder-maint@lists.alioth.debian.org>                                                                     
Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder                                                        
 This package was created automatically by pbuilder and should                                                                                
Depends: debhelper (>= 4.2), libnewt-dev, libtextwrap-dev, libdebconfclient0-dev (>= 0.130), libgtk-directfb-2.0-dev                          
dpkg-deb: building package `pbuilder-satisfydepends-dummy' in `/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.               
Reading package lists...                                                                                                                      
Building dependency tree...                                                                                                                   
Reading state information...                                                                                                                  
aptitude is already the newest version.                                                                                                       
The following packages were automatically installed and are no longer required:                                                               
  libgomp1                                                                                                                                    
Use 'apt-get autoremove' to remove them.                                                                                                      
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.                                                                                
Selecting previously deselected package pbuilder-satisfydepends-dummy.                                                                        
(Reading database ... 12099 files and directories currently installed.)                                                                       
Unpacking pbuilder-satisfydepends-dummy (from .../pbuilder-satisfydepends-dummy.deb) ...                                                      
dpkg: dependency problems prevent configuration of pbuilder-satisfydepends-dummy:                                                             

.../... (installing tons of packages)

                                                               
Reading package lists...                                                                                                                      
Building dependency tree...                                                                                                                   
Reading state information...                                                                                                                  
Reading extended state information...                                                                                                         
Initializing package states...                                                                                                                
Writing extended state information...                                                                                                         
Reading task descriptions...                                                                                                                  
 -> Finished parsing the build-deps                                                                                                           
Reading package lists...                                                                                                                      
Building dependency tree...                                                                                                                   
Reading state information...                                                                                                                  
ccache is already the newest version.                                                                                                         
The following NEW packages will be installed:                                                                                                 
  fakeroot                                                                                                                                    
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.                                                                                
Need to get 0B/114kB of archives.                                                                                                             
After this operation, 451kB of additional disk space will be used.                                                                            
Selecting previously deselected package fakeroot.                                                                                             
(Reading database ... 17153 files and directories currently installed.)                                                                       
Unpacking fakeroot (from .../fakeroot_1.12.2_i386.deb) ...                                                                                    
Processing triggers for man-db ...                                                                                                            
Setting up fakeroot (1.12.2) ...                                                                                                              
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode.                                       
Copying back the cached apt archive contents                                                                                                  
Copying source file                                                                                                                           
    -> copying [/home/bubulle/src/debian/debian-installer/packages/cdebconf-entropy_0.12.dsc]                                                 
    -> copying [/home/bubulle/src/debian/debian-installer/packages/cdebconf-entropy_0.12.tar.gz]                                              
Extracting source                                                                                                                             
dpkg-source: warning: extracting unsigned source package (cdebconf-entropy_0.12.dsc)                                                          
dpkg-source: info: extracting cdebconf-entropy in cdebconf-entropy-0.12                                                                       
dpkg-source: info: unpacking cdebconf-entropy_0.12.tar.gz                                                                                     
 -> Building the package                                                                                                                      
W: no hooks of type A found -- ignoring                                                                                                       
dpkg-buildpackage: set CFLAGS to default value: -g -O2                                                                                        
dpkg-buildpackage: set CPPFLAGS to default value:                                                                                             
dpkg-buildpackage: set LDFLAGS to default value:
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package cdebconf-entropy
dpkg-buildpackage: source version 0.12
dpkg-buildpackage: source changed by Christian Perrier <bubulle@debian.org>
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp
[ ! -f Makefile ] || /usr/bin/make distclean
dh_clean
 dpkg-source -i(?:^|/).*~$|(?:^|/)\..*\.swp|DEADJOE|(?:/CVS|/RCS|.*/\.svn|/\.deps|/\{arch\}|/\.arch-ids)(?:$|/) -ICVS -I.svn -b cdebconf-entropy-0.12
dpkg-source: info: using source format `1.0'
dpkg-source: info: building cdebconf-entropy in cdebconf-entropy_0.12.tar.gz
dpkg-source: info: building cdebconf-entropy in cdebconf-entropy_0.12.dsc
 debian/rules build
dh_testdir
CFLAGS="-Wall -g -O2" LDFLAGS="-Wl,-z,syms" ./configure --build i486-linux-gnu --prefix=/usr
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for newtInit in -lnewt... yes
./configure: line 2683: syntax error near unexpected token `GTK,'
./configure: line 2683: `PKG_CHECK_MODULES(GTK, gtk+-directfb-2.0,'
make: *** [config.status] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
pbuilder: Failed autobuilding of package
I: installing necessary tools to work in the damn chroot
dpkg: warning: ignoring request to remove nvi which isn't installed.


-- 


Attachment: signature.asc
Description: Digital signature


Reply to: